> For the complete documentation index, see [llms.txt](https://docs.tailent.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tailent.com/scripting-utility-classes/common-scripts-repository/c-scripts-repository/regexsplit-text-filtering.md).

# RegexSplit (Text Filtering)

This is used for splitting the given string into multiple substrings using the chosen parameter and adding it to a string array variable. For each element in that array it further splits it into substrings, between two indexes. As the final step, it adds every result to a List\<string>.

This script will require adding **using System.Text.RegularExpressions;** to the namespaces section.

```csharp
string[] text = Regex.Split(stringCanvas,"String");
foreach(string substring in text) 
{
    if (text.Contains("endString"))
    {
        string textSubstring =substring.Substring(0, element.IndexOf("endString"));
        List<string>.Add(element);
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tailent.com/scripting-utility-classes/common-scripts-repository/c-scripts-repository/regexsplit-text-filtering.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
